# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Name:           xmlgraphics-batik
Version:        1.7
Release:        14%{?dist}
Epoch:          0
Summary:        Scalable Vector Graphics for Java
License:        ASL 2.0
URL:            http://xml.apache.org/batik/
Group:          Multimedia/Graphics
Source0:        batik-src-%{version}.zip
Source1:        %{name}.squiggle.script
Source2:        %{name}.svgpp.script
Source3:        %{name}.ttf2svg.script
Source4:        %{name}.rasterizer.script
Source5:        %{name}.slideshow.script
Source6:        %{name}-squiggle.desktop
Source7:        %{name}.rasterizer.policy
Patch0:         %{name}-manifests.patch
Patch1:         %{name}-policy.patch
Patch2:         %{name}-rasterizer-ext-pom-template.patch
Patch3:         %{name}-squiggle-ext-pom-template.patch
Patch4:         %{name}-no-svn.patch
Patch5:         %{name}-javadoc-maxmemory.patch
Obsoletes:      batik < %{epoch}:%{version}-%{release}
Provides:       batik = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       rhino
Requires:       xalan-j2
Requires:       xml-commons-jaxp-1.3-apis >= 0:1.3.04-7
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  java-javadoc
BuildRequires:  rhino
BuildRequires:  rhino-javadoc
BuildRequires:  xalan-j2
BuildRequires:  xml-commons-jaxp-1.3-apis >= 0:1.3.04-7
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Batik is a Java(tm) technology based toolkit for applications that want
to use images in the Scalable Vector Graphics (SVG) format for various
purposes, such as viewing, generation or manipulation.

%package squiggle
Summary:        Batik SVG browser
Group:          Multimedia/Graphics
Obsoletes:      batik-squiggle < %{epoch}:%{version}-%{release}
Provides:       batik-squiggle = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description squiggle
The Squiggle SVG Browser lets you view SVG file, zoom, pan and rotate
in the content and select text items in the image and much more.

%package svgpp
Summary:        Batik SVG pretty printer
Group:          Multimedia/Graphics
Obsoletes:      batik-svgpp < %{epoch}:%{version}-%{release}
Provides:       batik-svgpp = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description svgpp
The SVG Pretty Printer lets developers "pretty-up" their SVG files and
get their tabulations and other cosmetic parameters in order. It can
also be used to modify the DOCTYPE declaration on SVG files.

%package ttf2svg
Summary:        Batik SVG font converter
Group:          Multimedia/Graphics
Obsoletes:      batik-ttf2svg < %{epoch}:%{version}-%{release}
Provides:       batik-ttf2svg = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description ttf2svg
The SVG Font Converter lets developers convert character ranges from
the True Type Font format to the SVG Font format to embed in SVG
documents. This allows SVG document to be fully self-contained be
rendered exactly the same on all systems.

%package rasterizer
Summary:        Batik SVG rasterizer
Group:          Multimedia/Graphics
Obsoletes:      batik-rasterizer < %{epoch}:%{version}-%{release}
Provides:       batik-rasterizer = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description rasterizer
The SVG Rasterizer is a utility that can convert SVG files to a raster
format. The tool can convert individual files or sets of files, making
it easy to convert entire directories of SVG files. The supported
formats are JPEG, PNG, and TIFF, however the design allows new formats
to be added easily.

%package slideshow
Summary:        Batik SVG slideshow
Group:          Multimedia/Graphics
Obsoletes:      batik-slideshow < %{epoch}:%{version}-%{release}
Provides:       batik-slideshow = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description slideshow
Batik SVG slideshow.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Multimedia/Graphics
Obsoletes:      batik-javadoc < %{epoch}:%{version}-%{release}
Provides:       batik-javadoc = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Multimedia/Graphics
Obsoletes:      batik-demo < %{epoch}:%{version}-%{release}
Provides:       batik-demo = %{epoch}:%{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n batik-%{version}
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1
%patch2 -p0 -b .sav2
%patch3 -p0 -b .sav3
%patch4 -p0 -b .sav4
%patch5 -p0 -b .sav5

%{_bindir}/find -type f -name "*.class" | %{_bindir}/xargs -t %{__rm}
%{_bindir}/find -type f -name "*.jar" | %{_bindir}/xargs -t %{__rm}

%{_bindir}/find -type f -name "*.sh" | %{_bindir}/xargs -t %{__chmod} 0755

rm resources/org/apache/batik/ext/awt/image/codec/properties
rm test-resources/org/apache/batik/apps/rasterizer/readOnly.png

%{__mkdir_p} batik-%{version}/lib
ln -s $(build-classpath rhino) batik-%{version}/lib/js.jar

%build
export CLASSPATH=`%{_bindir}/build-classpath xalan-j2 xml-commons-jaxp-1.3-apis-ext js`
export OPT_JAR_LIST=:
export ANT_OPTS="-Xms1g"
%{ant} -Drhino.javadoc=file:%{_javadocdir}/rhino -Dbuild.sysclasspath=first all-jar jars javadoc maven-artifacts

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}/%{name}

for dir in batik-%{version} batik-%{version}/lib batik-%{version}/extensions; do
  pushd ${dir}
    for jar in batik*.jar; do
      basename=`/bin/basename ${jar} .jar`
      %{__cp} -p ${basename}.jar %{buildroot}%{_javadir}/%{name}/${basename}-%{version}.jar
    done
  popd
done

for pkg in squiggle squiggle-ext svgpp ttf2svg rasterizer rasterizer-ext slideshow; do
  ln -s %{name}/batik-${pkg}-%{version}.jar %{buildroot}%{_javadir}/batik-${pkg}-%{version}.jar
done

mv %{buildroot}%{_javadir}/%{name}/batik-all-%{version}.jar %{buildroot}%{_javadir}/batik-all-%{version}.jar
#ln -s %{name}/batik-all-%{version}.jar %{buildroot}%{_javadir}/batik-all-%{version}.jar

for dir in %{buildroot}%{_javadir} %{buildroot}%{_javadir}/%{name}; do
  pushd ${dir}
    for jar in *-%{version}*.jar; do
      ln -s ${jar} `echo $jar| sed "s|-%{version}||g"`; 
    done
  popd
done

# pom
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p batik-%{version}/maven/batik-anim/%{version}/batik-anim-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-anim.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-anim %{version} JPP/%{name} batik-anim
%{__cp} -p batik-%{version}/maven/batik-awt-util/%{version}/batik-awt-util-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-awt-util.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-awt-util %{version} JPP/%{name} batik-awt-util
%{__cp} -p batik-%{version}/maven/batik-bridge/%{version}/batik-bridge-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-bridge.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-bridge %{version} JPP/%{name} batik-bridge
%{__cp} -p batik-%{version}/maven/batik-codec/%{version}/batik-codec-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-codec.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-codec %{version} JPP/%{name} batik-codec
%{__cp} -p batik-%{version}/maven/batik-css/%{version}/batik-css-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-css.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-css %{version} JPP/%{name} batik-css
%{__cp} -p batik-%{version}/maven/batik-dom/%{version}/batik-dom-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-dom.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-dom %{version} JPP/%{name} batik-dom
%{__cp} -p batik-%{version}/maven/batik-ext/%{version}/batik-ext-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-ext.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-ext %{version} JPP/%{name} batik-ext
%{__cp} -p batik-%{version}/maven/batik-extension/%{version}/batik-extension-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-extension.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-extension %{version} JPP/%{name} batik-extension
%{__cp} -p batik-%{version}/maven/batik-gui-util/%{version}/batik-gui-util-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-gui-util.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-gui-util %{version} JPP/%{name} batik-gui-util
%{__cp} -p batik-%{version}/maven/batik-gvt/%{version}/batik-gvt-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-gvt.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-gvt %{version} JPP/%{name} batik-gvt
%if 0
%{__cp} -p batik-%{version}/maven/batik-js/%{version}/batik-js-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-js.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-js %{version} JPP/%{name} batik-js
%else
%add_to_maven_depmap org.apache.xmlgraphics batik-js %{version} JPP rhino
%endif
%{__cp} -p batik-%{version}/maven/batik-parser/%{version}/batik-parser-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-parser.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-parser %{version} JPP/%{name} batik-parser
%{__cp} -p batik-%{version}/maven/batik-rasterizer/%{version}/batik-rasterizer-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-rasterizer.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-rasterizer %{version} JPP/%{name} batik-rasterizer
%{__cp} -p batik-%{version}/maven/batik-rasterizer-ext/%{version}/batik-rasterizer-ext-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-rasterizer-ext.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-rasterizer-ext %{version} JPP/%{name} batik-rasterizer-ext
%{__cp} -p batik-%{version}/maven/batik-script/%{version}/batik-script-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-script.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-script %{version} JPP/%{name} batik-script
%{__cp} -p batik-%{version}/maven/batik-slideshow/%{version}/batik-slideshow-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-slideshow.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-slideshow %{version} JPP/%{name} batik-slideshow
%{__cp} -p batik-%{version}/maven/batik-squiggle/%{version}/batik-squiggle-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-squiggle.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-squiggle %{version} JPP/%{name} batik-squiggle
%{__cp} -p batik-%{version}/maven/batik-squiggle-ext/%{version}/batik-squiggle-ext-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-squiggle-ext.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-squiggle-ext %{version} JPP/%{name} batik-squiggle-ext
%{__cp} -p batik-%{version}/maven/batik-svg-dom/%{version}/batik-svg-dom-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-svg-dom.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-svg-dom %{version} JPP/%{name} batik-svg-dom
%{__cp} -p batik-%{version}/maven/batik-svggen/%{version}/batik-svggen-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-svggen.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-svggen %{version} JPP/%{name} batik-svggen
%{__cp} -p batik-%{version}/maven/batik-svgpp/%{version}/batik-svgpp-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-svgpp.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-svgpp %{version} JPP/%{name} batik-svgpp
%{__cp} -p batik-%{version}/maven/batik-swing/%{version}/batik-swing-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-swing.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-swing %{version} JPP/%{name} batik-swing
%{__cp} -p batik-%{version}/maven/batik-transcoder/%{version}/batik-transcoder-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-transcoder.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-transcoder %{version} JPP/%{name} batik-transcoder
%{__cp} -p batik-%{version}/maven/batik-ttf2svg/%{version}/batik-ttf2svg-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-ttf2svg.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-ttf2svg %{version} JPP/%{name} batik-ttf2svg
%{__cp} -p batik-%{version}/maven/batik-util/%{version}/batik-util-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-util.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-util %{version} JPP/%{name} batik-util
%{__cp} -p batik-%{version}/maven/batik-xml/%{version}/batik-xml-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-batik-xml.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-xml %{version} JPP/%{name} batik-xml

# scripts
mkdir -p %{buildroot}%{_bindir}
cp -p %{SOURCE1} %{buildroot}%{_bindir}/%{name}-squiggle
cp -p %{SOURCE2} %{buildroot}%{_bindir}/%{name}-svgpp
cp -p %{SOURCE3} %{buildroot}%{_bindir}/%{name}-ttf2svg
cp -p %{SOURCE4} %{buildroot}%{_bindir}/%{name}-rasterizer
cp -p %{SOURCE5} %{buildroot}%{_bindir}/%{name}-slideshow

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr batik-%{version}/docs/javadoc/* \
  %{buildroot}%{_javadocdir}/%{name}-%{version} || :
# FIXME: (dwalluck): This breaks bi --short-circuit
rm -rf %{name}-%{version}/docs/javadoc
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/batik-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
ln -s %{name} %{buildroot}%{_javadocdir}/batik

# demo
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr contrib resources samples test-resources test-sources \
  %{buildroot}%{_datadir}/%{name}
ln -s %{name} %{buildroot}%{_datadir}/batik

# policy
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -p %{SOURCE7} %{buildroot}%{_sysconfdir}/%{name}/rasterizer.policy

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc CHANGES KEYS LICENSE MAINTAIN NOTICE README
%dir %{_javadir}*/%{name}
%exclude %dir %{_javadocdir}/%{name}
%{_javadir}*/batik-all-%{version}.jar
%{_javadir}*/batik-all.jar
%{_javadir}*/%{name}/batik-%{version}.jar
%{_javadir}*/%{name}/batik.jar
%{_javadir}*/%{name}/batik-anim-%{version}.jar
%{_javadir}*/%{name}/batik-anim.jar
%{_javadir}*/%{name}/batik-awt-util-%{version}.jar
%{_javadir}*/%{name}/batik-awt-util.jar
%{_javadir}*/%{name}/batik-bridge-%{version}.jar
%{_javadir}*/%{name}/batik-bridge.jar
%{_javadir}*/%{name}/batik-codec-%{version}.jar
%{_javadir}*/%{name}/batik-codec.jar
%{_javadir}*/%{name}/batik-css-%{version}.jar
%{_javadir}*/%{name}/batik-css.jar
%{_javadir}*/%{name}/batik-dom-%{version}.jar
%{_javadir}*/%{name}/batik-dom.jar
%{_javadir}*/%{name}/batik-ext-%{version}.jar
%{_javadir}*/%{name}/batik-ext.jar
%{_javadir}*/%{name}/batik-extension-%{version}.jar
%{_javadir}*/%{name}/batik-extension.jar
%{_javadir}*/%{name}/batik-gui-util-%{version}.jar
%{_javadir}*/%{name}/batik-gui-util.jar
%{_javadir}*/%{name}/batik-gvt-%{version}.jar
%{_javadir}*/%{name}/batik-gvt.jar
%{_javadir}*/%{name}/batik-parser-%{version}.jar
%{_javadir}*/%{name}/batik-parser.jar
%{_javadir}*/%{name}/batik-script-%{version}.jar
%{_javadir}*/%{name}/batik-script.jar
%{_javadir}*/%{name}/batik-svg-dom-%{version}.jar
%{_javadir}*/%{name}/batik-svg-dom.jar
%{_javadir}*/%{name}/batik-svggen-%{version}.jar
%{_javadir}*/%{name}/batik-svggen.jar
%{_javadir}*/%{name}/batik-swing-%{version}.jar
%{_javadir}*/%{name}/batik-swing.jar
%{_javadir}*/%{name}/batik-transcoder-%{version}.jar
%{_javadir}*/%{name}/batik-transcoder.jar
%{_javadir}*/%{name}/batik-util-%{version}.jar
%{_javadir}*/%{name}/batik-util.jar
%{_javadir}*/%{name}/batik-xml-%{version}.jar
%{_javadir}*/%{name}/batik-xml.jar
%{_datadir}/maven2/poms/JPP.%{name}-batik-anim.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-awt-util.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-bridge.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-codec.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-css.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-dom.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-ext.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-extension.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-gui-util.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-gvt.pom
%if 0
%{_datadir}/maven2/poms/JPP.%{name}-batik-js.pom
%endif
%{_datadir}/maven2/poms/JPP.%{name}-batik-parser.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-script.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-svg-dom.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-svggen.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-swing.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-transcoder.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-util.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-xml.pom
%{_mavendepmapfragdir}/%{name}
%dir %{_sysconfdir}/%{name}

%files squiggle
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/batik-squiggle-%{version}.jar
%{_javadir}*/%{name}/batik-squiggle.jar
%{_javadir}*/%{name}/batik-squiggle-ext-%{version}.jar
%{_javadir}*/%{name}/batik-squiggle-ext.jar
%{_javadir}*/batik-squiggle-%{version}.jar
%{_javadir}*/batik-squiggle.jar
%{_javadir}*/batik-squiggle-ext-%{version}.jar
%{_javadir}*/batik-squiggle-ext.jar
%{_datadir}/maven2/poms/JPP.%{name}-batik-squiggle.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-squiggle-ext.pom
%attr(0755,root,root) %{_bindir}/%{name}-squiggle

%files svgpp
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/batik-svgpp-%{version}.jar
%{_javadir}*/%{name}/batik-svgpp.jar
%{_javadir}*/batik-svgpp-%{version}.jar
%{_javadir}*/batik-svgpp.jar
%{_datadir}/maven2/poms/JPP.%{name}-batik-svgpp.pom
%attr(0755,root,root) %{_bindir}/%{name}-svgpp

%files ttf2svg
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/batik-ttf2svg-%{version}.jar
%{_javadir}*/%{name}/batik-ttf2svg.jar
%{_javadir}*/batik-ttf2svg-%{version}.jar
%{_javadir}*/batik-ttf2svg.jar
%{_datadir}/maven2/poms/JPP.%{name}-batik-ttf2svg.pom
%attr(0755,root,root) %{_bindir}/%{name}-ttf2svg

%files rasterizer
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/batik-rasterizer-%{version}.jar
%{_javadir}*/%{name}/batik-rasterizer.jar
%{_javadir}*/%{name}/batik-rasterizer-ext-%{version}.jar
%{_javadir}*/%{name}/batik-rasterizer-ext.jar
%{_javadir}*/batik-rasterizer-%{version}.jar
%{_javadir}*/batik-rasterizer.jar
%{_javadir}*/batik-rasterizer-ext-%{version}.jar
%{_javadir}*/batik-rasterizer-ext.jar
%{_datadir}/maven2/poms/JPP.%{name}-batik-rasterizer.pom
%{_datadir}/maven2/poms/JPP.%{name}-batik-rasterizer-ext.pom
%attr(0755,root,root) %{_bindir}/%{name}-rasterizer
%config(noreplace) %{_sysconfdir}/%{name}/rasterizer.policy

%files slideshow
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/batik-slideshow-%{version}.jar
%{_javadir}*/%{name}/batik-slideshow.jar
%{_javadir}*/batik-slideshow-%{version}.jar
%{_javadir}*/batik-slideshow.jar
%{_datadir}/maven2/poms/JPP.%{name}-batik-slideshow.pom
%attr(0755,root,root) %{_bindir}/%{name}-slideshow

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/batik-%{version}
%{_javadocdir}/batik

%files demo
%defattr(-,root,root,0755)
%{_datadir}/%{name}
%{_datadir}/batik

%changelog
* Thu Aug 25 2011 David Walluck <dwalluck@redhat.com> 0:1.7-14
- fix file list for brew

* Wed Aug 24 2011 David Walluck <dwalluck@redhat.com> 0:1.7-13
- fix jar names
- set correct rhino.javadoc location
- remove pre-built .class files
- bump release due to Fedora rawhide

* Sat Oct 02 2010 Ralph Apel <r.apel@r-apel.de> 0:1.7-7
- add js.jar to CLASSPATH for ant build
- fix pom templates for rasterizer-ext and squiggle-ext

* Mon Oct 26 2009 David Walluck <dwalluck@redhat.com> 0:1.7-6
- add maven support
- remove included jars

* Tue Aug 12 2008 David Walluck <dwalluck@redhat.com> 0:1.7-5
- add rasterizer.policy

* Sun Aug 10 2008 David Walluck <dwalluck@redhat.com> 0:1.7-4
- fix classpaths in scripts

* Fri Aug 01 2008 David Walluck <dwalluck@redhat.com> 0:1.7-3
- add Provides/Obsoletes for subpackages

* Fri Aug 01 2008 David Walluck <dwalluck@redhat.com> 0:1.7-2
- Provides/Obsoletes: batik
- add symlinks for %%{_javadir}/batik-all.jar and %%{_javadocdir}/batik

* Wed Jul 30 2008 David Walluck <dwalluck@redhat.com> 0:1.7-1
- upgrade to batik 1.7 and rename to xmlgraphics-batik

* Thu Feb 22 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.6-3jpp
- Add gcj_support option
- Add option to avoid rhino, jython on bootstrap, omit -squiggle subpackage

* Wed Apr 26 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.6-2jpp
- First JPP 1.7 build

* Tue Aug  2 2005 Ville Skyttä <scop at jpackage.org> - 0:1.6-1jpp
- 1.6.
- Fix build of manual (java.awt.headless for stylebook).

* Fri Jan 28 2005 Jason Corley - 0:1.5.1-1jpp
- Update to 1.5.1

* Mon Nov 22 2004 Ville Skyttä <scop at jpackage.org> - 0:1.5-5jpp
- Drop -monolithic and obsolete it in main package.  It shouldn't be needed
  in the first place, and the *.policy files that end up in it will contain
  wrong paths which causes all sorts of borkage.
- BuildRequire jython to get support for it built.
- Remove xml-commons-apis and xalan-j2 from scripts and install time
  dependencies, require Java >= 1.4 instead (xalan-j2 is still needed at
  build time).
- New style versionless javadoc dir symlinking.
- Crosslink with full J2SE javadocs.
- Associate SVG MIME type with Squiggle in freedesktop.org menu entry.

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.5-4jpp
- Build with ant-1.6.2

* Mon Nov 03 2003 Paul Nasrat <pauln at truemesh.com> - 0:1.5-3jpp
- Fix non-versioned javadoc symlinks

* Fri Aug 15 2003 Ville Skyttä <scop at jpackage.org> - 0:1.5-2jpp
- Fix jar names in policy files, kudos to Scott Douglas-Watson.
- Add freedesktop.org menu entry for Squiggle.
- Improve subpackage descriptions.
- Save .spec in UTF-8, get rid of # ------- separators.

* Sat Jul 19 2003 Ville Skyttä <scop at jpackage.org> - 0:1.5-1jpp
- Update to 1.5.
- Crosslink with xml-commons-apis and rhino javadocs.

* Thu Apr 17 2003 Ville Skyttä <scop at jpackage.org> - 0:1.5-0.beta5.2jpp
- Rebuild to satisfy dependencies due to renamed rhino (r4 -> R4).

* Sun Mar 30 2003 Ville Skyttä <scop at jpackage.org> - 1.5-0.beta5.1jpp
- Update to 1.5 beta5.
- Rebuild for JPackage 1.5.
- Use bundled crimson and stylebook for building the manual.

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-4jpp
- vendor, distribution, group tags
- scripts use system prefs
- scripts source user prefs before configuration

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-3jpp
- libs package is now monolithic package

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-2jpp
- adaptation to new stylebook1.0b3 package

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-1jpp
- 1.1.1
- additional sources in individual archives
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- versioned dir for javadoc
- explicitely set xalan-j2.jar and xml-commons-api.jar in classpath
- splitted applications in distinct packages

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-0.rc4.3jpp
- javadoc into javadoc package
- new launch scripts using functions library
- Requires jpackage-utils
- added name-slideshow.jar
- main jar renamed name.jar

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc4.2jpp
- fixed previous changelog
- changed extension --> jpp

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc4.1jpp
- rc4

* Sat Nov 17 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc3.2jpp
- added batik-libs creation

* Thu Nov 9 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc3.1jpp
- changed version to 0.rc3.1

* Mon Nov 5 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1rc3-1jpp
- 1.1rc3

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- first unified release
- removed xalan-j2 from classpath as it is autoloaded by stylebook-1.0b3
- used original tarball
- s/jPackage/JPackage

* Mon Sep 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3mdk
- provided *working* startup scripts

* Sat Sep 15 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2mdk
- requires specificaly crimson
- only manual buildrequires stylebook-1.0b3 and xerces-j1
- dropped xalan-j2 buildrequires as stylebook-1.0b3 needs it already
- changed samples package name to demo
- moved demo files to _datadir/name
- provided startup scripts

* Thu Aug 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1mdk
- first Mandrake release
